@font-face {
    font-family: 'America';
    src: url('../fonts/american-text.regular.ttf') format('truetype');
}

@font-face {
    font-family: 'Zodiac';
    src: url('../fonts/zodiak-variable.ttf') format('truetype');
}

@font-face {
    font-family: 'Zina';
    src: url('../fonts/zina-regular.otf') format('truetype');
}

@font-face {
    font-family: 'Aktura';
    src: url('../fonts/aktura-regular.otf') format('truetype');
}


* {
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    --primary: #0F110C;
    --white: #fff;
    --america: 'America';
    --zodiak: 'Zodiac';
    --zina: 'Zina';
    --aktura: 'Aktura';
}

body {
    background-color: var(--primary);
    /* overflow: hidden; */
    margin: auto;
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    align-items: center;
}

body main {
    max-width: 526px;
    width: 100%;
    min-height: 100%;
    margin: auto;
    overflow: hidden;
}

/* Components */
.my-title {
    font-family: var(--zodiak);
    font-size: 2rem;
    font-weight: 700;
    color: var(--primary);
    text-align: center;
}

.my-box-shadow {
    box-shadow: 2px 2px 52px 0px rgba(0, 0, 0, 0.08), 6px 6px 24px 0px rgba(0, 0, 0, 0.00) inset;
}

.my-button {
    cursor: pointer;
    display: inline-flex;
    justify-content: center;
    font-family: var(--zodiak);
    font-size: 1rem;
    color: var(--white);
    padding: 16px 30px;
    transition: 964ms !important;
    width: 7.5rem;
    box-shadow: rgba(0, 0, 0, 0.02) 0px 1px 3px 0px, rgba(27, 31, 35, 0.15) 0px 0px 0px 1px;
    border-radius: 0px;
    font-weight: 600;
    background: rgb(15, 17, 12);
    margin: auto;
    text-decoration: none;
    --hover-width: 124px;
    --hover-bgc: var(--white);
    --hover-color: var(--primary);
    --hover-borderc: var(--primary);
    --hover-borderSize: 1px;
}


.my-button:hover {
    transition: 1s all ease !important;
    color: rgb(15, 17, 12);
    width: 124px;
    background: rgb(255, 255, 255) none repeat scroll 0% 0% / auto padding-box border-box;
}

.my-custom-input {
    display: flex;
    align-items: center;
    position: relative;
    max-width: 100%;
}

.input {
    font-size: 18px;
    padding: 1rem 1.5rem;
    font-family: var(--zodiak);
    font-size: 20px;
    font-weight: 400;
    width: 100%;
    outline: none;
    background: #FFFFFF;
    color: #000000;
    border: 1px solid #0f110c2f;
    border-radius: 0px;
    transition: .3s ease;
}

.input:focus {
    background: #FFFFFF;
    border: 1px solid #0F110C;
    border-radius: 0px;
}



.input::placeholder {
    color: #DDDDDD;
}

textarea {
    flex: 1 1 auto;
}


@media (max-width: 375px) {
    .my-button {
        width: 5rem;
    }
}


/* Atomic */
.name-couple-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 1rem 0 1.5rem 0;
}

.name {
    letter-spacing: .5rem;
    font-size: 2.5rem;
    font-family: var(--america);
    line-height: 50px;
}


/* Noise */
/* .bg {
    position: fixed;
    z-index: 2;
    top: -50%;
    left: -50%;
    right: -50%;
    bottom: -50%;
    width: 200%;
    height: 200vh;
    background: transparent url('http://assets.iceable.com/img/noise-transparent.png') repeat 0 0;
    background-repeat: repeat;
    animation: bg-animation .2s infinite;
    opacity: .9;
    visibility: visible;
    pointer-events: none;
}

@keyframes bg-animation {
    0% {
        transform: translate(0, 0)
    }

    10% {
        transform: translate(-5%, -5%)
    }

    20% {
        transform: translate(-10%, 5%)
    }

    30% {
        transform: translate(5%, -10%)
    }

    40% {
        transform: translate(-5%, 15%)
    }

    50% {
        transform: translate(-10%, 5%)
    }

    60% {
        transform: translate(15%, 0)
    }

    70% {
        transform: translate(0, 10%)
    }

    80% {
        transform: translate(-15%, 0)
    }

    90% {
        transform: translate(10%, 5%)
    }

    100% {
        transform: translate(5%, 0)
    }


}


/* MUSIC OUTER */
.music-outer {
    position: fixed;
    z-index: 999;
    bottom: 15px;
    left: 15px;
    display: inline-block;
    vertical-align: top;
}

.music-outer .music-box {
    width: 60px;
    height: 60px;
    cursor: pointer;

    background-image: url("../../media/template/details/music.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100% 100%;
    position: relative;
    top: 0;
    left: 0;
    transform: rotate(0deg);

    /* transition: all 0.8s ease-out; */
    -webkit-transition: all .8s cubic-bezier(.23, .56, .38, .78);
    -moz-transition: all .8s cubic-bezier(.23, .56, .38, .78);
    -o-transition: all .8s cubic-bezier(.23, .56, .38, .78);
    transition: all .8s cubic-bezier(.23, .56, .38, .78);
}

.music-outer .music-box.hide {
    left: -100px;
}

.music-outer .music-box:focus,
.music-outer .music-box:active {
    background-color: transparent;
    outline: none;
    box-shadow: none;
}

.music-outer .music-box.playing {
    animation-name: play-music;
    animation-iteration-count: infinite;
    animation-duration: 20s;
    animation-timing-function: linear;
}

@media only screen and (min-width: 600px) {
    .music-outer .music-box {
        width: 45px;
        height: 45px;
    }
}

@media only screen and (max-width: 600px) {
    .music-outer .music-box {
        width: 45px;
        height: 45px;
    }
}

@media only screen and (max-width: 425px) {
    .music-outer {
        bottom: 12px;
        left: 12px;
    }
}

@keyframes play-music {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(359deg);
    }
}
